Subject: Re: Reporting bugs and bisection

From: Andrew Morton <[email-masked]>
Date: Sun, 13 Apr 2008 23:24:41 -0700

On Mon, 14 Apr 2008 06:39:43 +0100 Al Viro <[email-masked]> wrote:

> On Mon, Apr 14, 2008 at 06:39:39AM +0200, Willy Tarreau wrote:
> 
> [snip]
> 
> > I'm sure many people would find this useless (or in fact reject the
> > idea because it would show that most code will be rated 1 or 2),
> > but I really think it can help subsystem maintainers make the relation
> > between a reported bug and a possible submitter.
> 
> I have a related proposal: let us require all patches to be stamped
> with Discordian *and* Eternal September dates.  In triplicate.  While
> we are at it, why don't we introduce new mandatory headers like, say
> it,
> 
> X-checkpatch: {Yes,No}
> X-checkpatch-why-not: <string>
> X-pointless: <number from 1 to 69, going from "1: does something useful" all
> the way to "68: aligns right ends of lines in comments">
> X-arbitrary-rules-added-to-CodingStyle: <number> (should be present if
> and only if X-pointless: 69 is present).
> 
> Come to think of that, we clearly need a new file in Documentation/*,
> documenting such headers.  Why don't we organize a subcommittee^Wnew maillist
> devoted to that?  That would provide another entry route for contributors,
> lowering the overall entry barriers even further...
> 

None of the above was particularly useful.

> 
> Seriously, looks like Andi is right - we've got ourselves a developing
> beaurocracy.  As in "more and more ways of generating activity without
> doing anything even remotely useful".  Complete with tendency to operate in
> the ways that make sense only to beaurocracy in question and an ever-growing
> set of bylaws...

No.  The problem we're discussing here is the apparently-large number of
bugs which are in the kernel, the apparently-large number of new bugs which
we're adding to the kernel, and our apparent tardiness in addressing them.

Do you agree with these impressions, or not?

If you do agree, what would you propose we do about it?